/* $Id: dialog.gen_h,v 1.31 2000/02/13 02:22:09 kenelson Exp $ */

/* dialog.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/window.h>
#include <gtk--/box.h>
#include <gtk/gtkdialog.h>

namespace Gtk {
class Dialog : public Window {


public:
  typedef Dialog          CppObjectType;
  typedef GtkDialog            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkDialog* gtkobj();
  const GtkDialog* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~Dialog();

private:

public:

  Dialog();




  Gtk::VBox* get_vbox() const;


  Gtk::HBox* get_action_area() const;

protected:
  // impl functions

};


//+ PROPERTIES(gtkdialog)
//. name: vbox
//. type: Gtk_Widget*
//. get:
//. set:
//. desc:

//. name: action_area
//. type: Gtk_Widget*
//. get:
//. set:
//. desc:

}
