/* $Id: optionmenu.gen_h,v 1.49 2000/02/13 02:22:09 kenelson Exp $ */

/* optionmenu.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/button.h>
#include <gtk/gtkoptionmenu.h>

namespace Gtk {
class Menu;

class OptionMenu : public Button {


public:
  typedef OptionMenu          CppObjectType;
  typedef GtkOptionMenu            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkOptionMenu* gtkobj();
  const GtkOptionMenu* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~OptionMenu();

private:

public:


  OptionMenu();


  // GtkWidget* gtk_option_menu_get_menu(GtkOptionMenu*);
  Gtk::Menu* get_menu() const;


  void set_menu(Gtk::Menu& menu);


  void set_menu(Gtk::Menu* menu);


  void remove_menu();


  void set_history(guint index);




protected:
  // impl functions

};


//+ PROPERTIES(Gtk_OptionMenu)
//. name: menu
//. type: Gtk_Widget*
//. get:
//. set:
//. desc:

//. name: menu_item
//. type: Gtk_Widget*
//. get:
//. set:
//. desc:

//. name: width
//. type: guint16
//. get:
//. set:
//. desc:

//. name: height
//. type: guint16
//. get:
//. set:
//. desc:

}
