/* $Id: socket.gen_h,v 1.19 2000/02/13 02:22:09 kenelson Exp $ */

/* socket.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/container.h>
#include <gtk/gtksocket.h>


namespace Gtk {
class Socket : public Container
{


public:
  typedef Socket          CppObjectType;
  typedef GtkSocket            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkSocket* gtkobj();
  const GtkSocket* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~Socket();

private:

public:

  Socket();




  void steal(guint32 wid);



protected:
  // impl functions

};


//+ PROPERTIES(Gtk_Socket)
//. name: request_width
//. type: guint16
//. get:
//. set:
//. desc:

//. name: request_height
//. type: guint16
//. get:
//. set:
//. desc:

//. name: current_width
//. type: guint16
//. get:
//. set:
//. desc:

//. name: current_height
//. type: guint16
//. get:
//. set:
//. desc:

//. name: plug_window
//. type: GdkWindow*
//. get:
//. set:
//. desc:

//. name: same_app
//. type: guint:1
//. get:
//. set:
//. desc:

//. name: focus_in
//. type: guint:1
//. get:
//. set:
//. desc:

//. name: have_size
//. type: guint:1
//. get:
//. set:
//. desc:

//. name: need_map
//. type: guint:1
//. get:
//. set:
//. desc:

}
