/* $Id: drawingarea.gen_h,v 1.26 2000/02/13 02:22:09 kenelson Exp $ */

/* drawingarea.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/widget.h>
#include <gtk/gtkdrawingarea.h>


namespace Gtk {
class DrawingArea : public Widget {


public:
  typedef DrawingArea          CppObjectType;
  typedef GtkDrawingArea            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkDrawingArea* gtkobj();
  const GtkDrawingArea* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~DrawingArea();

private:

public:

  DrawingArea();




  void size(gint width,gint height);



protected:
  // impl functions

};


//+ PROPERTIES(gtkdrawingarea)
//. name: widget
//. type: GtkWidget
//. get:
//. set:
//. desc:

//. name: draw_data
//. type: gpointer
//. get:
//. set:
//. desc:

}
